<mat-card style="margin-top: 10px;">
    <mat-card-title>Calculateur de valeurs prédictives de tests
        diagnostiques</mat-card-title>
    <app-bmj [vraiPositifs]="vraiPositifs" [fauxPositifs]="fauxPositifs" [vraiNegatifs]="vraiNegatifs"
        [fauxNegatifs]="fauxNegatifs" [vraiPositifsDisplay]="vraiPositifsDisplay"
        [fauxPositifsDisplay]="fauxPositifsDisplay" [vraiNegatifsDisplay]="vraiNegatifsDisplay"
        [fauxNegatifsDisplay]="fauxNegatifsDisplay" [vpp]="vpp" [vpn]="vpn" [(specificite)]="specificite"
        [(sensibilite)]="sensibilite" [(prevalence)]="prevalence" [nbPersonnes]="nbPersonnes"
        (prevalenceChange)="prevalenceChanges($event)" (specificiteChange)="specificityChanges($event)"
        (sensibiliteChange)="sensibilityChanges($event)">
    </app-bmj>
    <div style="font-family: Raleway; font-size: 15px; font-weight: normal;">
        En pratique clinique, on souhaite en priorité répondre aux 2 questions suivantes à partir du résultat d'un test
        :
        <ul class="red">
            <li>
                Si le test est <b>positif</b>, quelle est la <b>probabilité que le sujet soit effectivement malade ?</b>
            </li>
        </ul>
        <ul class="green">
            <li>
                Si le test est <b>négatif</b>, quelle est la <b>probabilité que le sujet soit effectivement non-malade ?
                </b>
            </li>
        </ul>
        <br>
        Ces probabilités sont respectivement la <b>valeur prédictive positive</b> et la <b>valeur prédictive
            négative</b> du test.
        Pour les estimer, il faut considérer les performances intrinsèques du test, à savoir sa <b>sensibilité</b> et sa
        <b>spécificité</b>. Mais il faut également considérer la <b>prévalence de la maladie</b>, ou probabilité
        pré-test !
    </div>
</mat-card>

<mat-card style="margin-top: 10px;">
    <mat-card-title>Explication graphique</mat-card-title>
    <app-tree [vpp]="vpp" [specificite]="specificite" [sensibilite]="sensibilite" [prevalence]="prevalence"
        [nbPersonnes]="nbPersonnes" [vraiPositifs]="vraiPositifs" [fauxPositifs]="fauxPositifs"
        [vraiNegatifs]="vraiNegatifs" [fauxNegatifs]="fauxNegatifs" [vraiPositifsDisplay]="vraiPositifsDisplay"
        [fauxPositifsDisplay]="fauxPositifsDisplay" [vraiNegatifsDisplay]="vraiNegatifsDisplay"
        [fauxNegatifsDisplay]="fauxNegatifsDisplay"></app-tree>
    <div style="font-family: Raleway; font-size: 15px; font-weight: normal;">
        Cet arbre présente la répartition d'une population initiale de <b>{{nbPersonnes}} sujets</b> qui réalisent un
        test diagnostique :
        <ul>
            <li>
                Avec une <b>prévalence de {{prevalence}}%</b> de la maladie, cette population comprend
                <b>{{ vraiPositifs + fauxNegatifs }} malades</b>
                et <b>{{ fauxPositifs + vraiNegatifs }} non-malades</b>.
            </li>
        </ul>
        <ul class="red">
            <li>
                Parmi ces <b>{{ vraiPositifs + fauxNegatifs }} malades</b>,
                le test diagnostique de <b>sensibilité {{sensibilite}}%</b> en identifie correctement
                <b>{{vraiPositifs}}</b> (<b>vrais positifs</b>),
                mais obtient un résultat négatif pour les <b>{{fauxNegatifs}}</b> autres (<b>faux négatifs</b>).

            </li>
        </ul>
        <ul class="green">
            <li>
                Parmi ces <b>{{ fauxPositifs + vraiNegatifs }} non-malades</b>,
                le test diagnostique de <b>spécificité {{ specificite }}%</b> en identifie correctement
                <b>{{vraiNegatifs}}</b> (<b>vrais négatifs</b>),
                mais obtient un résultat positif pour les <b>{{fauxPositifs}}</b> autres (<b>faux positifs</b>).
            </li>
        </ul>
        <br>
        Cette répartition permet de calculer les valeurs prédictives :
        <ul class="red">
            <li>
                <b>{{vraiPositifs}}</b> sujets sont effectivement <b>malades</b>
                parmi les <code>{{vraiPositifs}} + {{fauxPositifs}} = </code> <b>{{ vraiPositifs + fauxPositifs }}</b>
                testés <b>positifs</b>,
                soit un <b>taux de {{ vpp | SignificantDigits }}%</b>.
            </li>
        </ul>
        <ul class="green">
            <li>
                <b>{{vraiNegatifs}}</b> sujets sont effectivement <b>non-malades</b>,
                parmi les <code>{{vraiNegatifs}} + {{fauxNegatifs}} = </code> <b>{{ vraiNegatifs + fauxNegatifs }}</b>
                testés <b>négatifs</b>,
                soit un <b>taux de {{ vpn | SignificantDigits }}%</b>.
            </li>
        </ul>


    </div>
</mat-card>

<mat-card style="margin-top: 10px;">
    <mat-card-title>Formules et définitions</mat-card-title>

    <mat-grid-list cols="2" rowHeight="50px" gutterSize="10px">
        <mat-grid-tile colspan="1" style="text-align: center; padding-bottom: 20px;">
            <span style="font-size: 20px;
            width: 100%;
            background-color: #FF6168;
            color: white;
            font-family: Raleway;
            font-weight: bold;
            border-radius: 10px 10px 0 0;
            padding-inline: 5%;
            padding-bottom: 3%;
            padding-top: 3%;">Valeur Prédictive Positive
            </span>
        </mat-grid-tile>
        <mat-grid-tile colspan="1" style="text-align: center; padding-bottom: 20px;">
            <span style="font-size: 20px;
            width: 100%;
            background-color: #40BFC1;
            color:white;
            font-family: Raleway;
            font-weight: bold;
            border-radius: 10px 10px 0 0;
            padding-inline: 5%;
            padding-bottom: 15px;
            padding-top: 3%;">Valeur Prédictive Négative
            </span>
        </mat-grid-tile>
        <mat-grid-tile colspan="1" style="background-color: #F4F3F3; padding-top: 20px; padding-bottom: 15px;"><span
                style="font-size: 20px;" [mathjax]="formuleVpp"></span></mat-grid-tile>
        <mat-grid-tile colspan="1" style="background-color: #F4F3F3; padding-top: 20px; padding-bottom: 15px;"><span
                style="font-size: 20px;" [mathjax]="formuleVpn"></span></mat-grid-tile>
        <mat-grid-tile colspan="1" rowspan="2" style="text-align: center; margin-top: 0; padding-top: 0px;">
            <span style="
            background-color: #FF6168;
            color: white;
            font-family: Raleway;
            font-size: larger;
            border-radius: 0 0 10px 10px;
            padding-inline: 5%;
            padding-bottom: 3%;
            padding-top: 3%;">
                Si le test est positif, la probabilité que le sujet soit effectivement malade est de :
                <b> {{ vpp | SignificantDigits}} % </b>
                <br>
            </span>
        </mat-grid-tile>
        <mat-grid-tile colspan="1" rowspan="2" style="text-align: center;">
            <span style="
            background-color: #40BFC1;
            border-radius: 0 0 10px 10px;
            font-family: Raleway;
            font-size: larger;
            color: white;
            padding-inline: 5%;
            padding-bottom: 3%;
            padding-top: 3%;">
                Si le test est négatif, la probabilité que le sujet ne soit effectivement pas malade est de :
                <b> {{ vpn | SignificantDigits }} % </b>
                <br>
            </span>
        </mat-grid-tile>
    </mat-grid-list>

    <div style="font-family: Raleway; font-size: 15px; font-weight: normal;">
        <h2>Valeurs prédictives des tests</h2>
        <ul class="red">
            <li>
                <b>Valeur prédictive positive (VPP)</b> : Probabilité que le sujet soit malade lorsque le résultat du
                test est positif.
                La VPP détermine la capacité d'un test à confirmer, lorsque positif, la présence d'une maladie.
            </li>
        </ul>
        <ul class="green">
            <li>
                <b>Valeur prédictive négative (VPN)</b> : Probabilité que le sujet ne soit pas malade lorsque le
                résultat du test est négatif.
                La VPN détermine la capacité d'un test à infirmer, lorsque négatif, la présence d'une maladie.
            </li>
        </ul>
        <h2>Paramètres</h2>
        <ul>
            <li>
                <b>Prévalence (Pr)</b> : Proportion de malades dans une population d'intérêt à un instant donné.
                <br>
                Cette population fictive est celle des sujets ayant des caractéristiques cliniques identiques au sujet
                pour lequel on interprète le résultat du test.
                D'un point de vue individuel, il s'agit de la probabilité pré-test, c'est à dire la probabilité que le
                sujet soit malade, estimée avant la réalisation du test.
            </li>
        </ul>
        <ul class="red">
            <li>
                <b>Sensibilité (Se)</b> : Probabilité d’obtenir un résultat de test positif parmi les sujets malades.
            </li>
        </ul>
        <ul class="green">
            <li>
                <b>Spécificité (Sp)</b> : Probabilité d’obtenir un résultat de test négatif parmi les sujets
                non-malades.
            </li>
        </ul>
        <b>Remarques</b>
        <ul>
            <li>
                La sensibilité et la spécificité sont déterminées sur des populations de sujets dont le statut de
                malade ou non-malade est connu de façon fiable par ailleurs, par exemple par un test de
                référence pour les malades.
            </li>
            <li>
                Sensibilité et spécificité sont des propriétés fixes d'un test diagnostique pour une maladie donnée,
                indépendamment de la prévalence.
            </li>
            <li>
                On peut cependant observer des variations de sensibilité ou de spécificité en fonction de la population
                dans laquelle elles sont mesurées. Par exemple, dans une population avec des formes plus graves de la
                maladie, la sensibilité du test sera plus élevée.
            </li>
        </ul>



        <h2>Variables</h2>
        <ul>
            <li>
                <b>Taille de la population (N)</b> : Nombre de sujets dans la population testée.
                <br>
                Ce nombre disparait dans les formules et n'a pas besoin d'être déterminé.
            </li>
        </ul>

        <ul class="red">

            <li>
                <b>Vrais positifs (VP)</b> : Sujets malades avec un résultat de test positif :
                <code>VP = N * Pr * Se</code>
            </li>
        </ul>
        <ul class="orange">
            <li>
                <b>Faux positifs (FP)</b> : Sujets non-malades avec un résultat de test positif :
                <code>FP = N * (1-Pr) * (1-Sp)</code>
            </li>
        </ul>
        <ul class="green">
            <li>
                <b>Vrais négatifs (VN)</b> : Sujets non-malades avec un résulat de test négatif :
                <code>VN = N * (1-Pr) * Sp</code>
            </li>
        </ul>
        <ul class="orange">
            <li>
                <b>Faux négatifs (FN)</b> : Sujets malades avec un résultat de test négatif :
                <code>FN = N * Pr * (1-Se)</code>
            </li>
        </ul>
    </div>

</mat-card>

<mat-card style="margin-top: 10px; margin-bottom: 20px; font-family: Raleway;">
    <mat-card-title>Pour en savoir plus</mat-card-title>
    <mat-card-content>
        <h2>Guides méthodologiques</h2>
        <ul>
            <li>
                Guide HAS, à venir
            </li>
            <li>
                Cochrane Handbook for Systematic Reviews of Diagnostic Test Accuracy [en ligne] 2022 <a
                    href="https://methods.cochrane.org/sdt/handbook-dta-reviews">https://methods.cochrane.org/sdt/handbook-dta-reviews</a>
            </li>
        </ul>
        <h2>Publications de référence</h2>
        <ul>
            <li>
                Altman DG, Bland JM. Diagnostic tests. 1: Sensitivity and specificity. BMJ 1994;308(6943):1552. <a
                    href="http://dx.doi.org/10.1136/bmj.308.6943.1552">http://dx.doi.org/10.1136/bmj.308.6943.1552</a>
            </li>
            <li>
                Altman DG, Bland JM. Diagnostic tests 2: Predictive values. BMJ 1994;309(6947):102. <a
                    href="http://dx.doi.org/10.1136/bmj.309.6947.102">http://dx.doi.org/10.1136/bmj.309.6947.102</a>
            </li>
        </ul>
        <h2>Représentation de l’information statistique</h2>
        <ul>
            <li>
                Gigerenzer G. What are natural frequencies? BMJ 2011;343:d6386. <a
                    href="https://doi.org/10.1136/bmj.d6386">https://doi.org/10.1136/bmj.d6386</a>
            </li>
            <li>
                Gigerenzer G, Gaissmaier W, Kurz-Milcke E, Schwartz LM, Woloshin S. Helping doctors and patients make
                sense of health statistics. Psychol Sci Public Interest 2007;8(2):53-96. <a
                    href="https://doi.org/10.1111/j.1539-6053.2008.00033.x">https://doi.org/10.1111/j.1539-6053.2008.00033.x</a>
            </li>
            <li>
                Lakhlifi C, Lejeune FX, Rouault M, Khamassi M, Rohaut B. Illusion de connaissances en statistiques dans
                le staff médical : évaluation de la calibration entre justesse objective et confiance subjective. 2022
                <a
                    href="assets/Lakhlifi_et_al_Illusion_de_connaissances_en_statistiques_chez_les_(futurs)_médecins.pdf">Voir
                    le poster</a>
            </li>
        </ul>
        <h2>Sources de l'infographie</h2>
        <ul>
            <li>
                Code source de la page sur <a href="https://gitlab.com/has-sante/public/infographie-vpp-vpn">GitLab</a>
            </li>
            <li>
                Watson J, Whiting PF, Brush JE. Interpreting a covid-19 test result. BMJ 2020;369:m1808. <a
                    href="http://dx.doi.org/10.1136/bmj.m1808">http://dx.doi.org/10.1136/bmj.m1808</a>
            </li>
        </ul>
    </mat-card-content>
</mat-card>